Package org.eclipse.graphiti.features

## Interface IAddFeature

All Superinterfaces:
  `IAdd`, `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `AbstractAddFeature`, `AbstractAddPictogramElementFeature`, `AbstractAddShapeFeature`, `AddFeatureForPattern`

    public interface IAddFeature
    extends IAdd, IFeature

The Interface IAddFeature. A pictogram element has to be added. This pictogram element has to link to a domain model element.

### Method Summary

### Methods inherited from interface org.eclipse.graphiti.func.IAdd

`add, canAdd`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`